## Contributing

Contributions are welcome! If you have a model you'd like to implement or an
improvement to an existing model, please follow these steps to contribute:

1. **Fork the Repository**:
   - Go to the [PyEconomics repository](https://github.com/nathanramoscfa/pyeconomics)
     on GitHub and click the "Fork" button.

2. **Clone Your Fork**:
   - Clone your forked repository to your local machine:
     ```sh
     git clone https://github.com/your-username/pyeconomics.git
     ```

3. **Create a Feature Branch**:
   - Navigate to the directory of your cloned repository and create a new branch
     for your feature or bug fix:
     ```sh
     cd pyeconomics
     git checkout -b feature/AmazingFeature
     ```

4. **Make Your Changes**:
   - Implement your feature or fix the bug. Make sure your code follows the 
     project's coding standards and includes necessary tests.

5. **Run Tests**:
   - Ensure that all tests pass successfully. Add new tests if applicable.
     ```sh
     pytest
     ```

6. **Commit Your Changes**:
   - Commit your changes with a descriptive commit message:
     ```sh
     git add .
     git commit -m "Add some AmazingFeature"
     ```

7. **Push to Your Fork**:
   - Push your changes to your forked repository:
     ```sh
     git push origin feature/AmazingFeature
     ```

8. **Open a Pull Request**:
   - Go to the original PyEconomics repository and open a pull request. Provide 
     a clear and descriptive title and description for your pull request, 
     detailing what changes you made and why.

### Code of Conduct

By participating in this project, you agree to abide by the 
[Code of Conduct](CODE_OF_CONDUCT.md).

### Reporting Issues

If you encounter any issues or have questions about PyEconomics, feel free to 
open an issue on the 
[GitHub Issues](https://github.com/nathanramoscfa/pyeconomics/issues) 
page.

### Suggestions and Feedback

We welcome your feedback and suggestions! If you have any ideas to improve 
PyEconomics, please open an issue or start a discussion on the 
[GitHub Discussions](https://github.com/nathanramoscfa/pyeconomics/discussions) 
page.

Thank you for your contributions!
